use std::{
	error::Error,
	path::PathBuf,
};

use structopt::StructOpt;

mod load_toml;

#[derive (Debug, StructOpt)]
struct Opt {
	#[structopt (long)]
	file_server_root: Option <PathBuf>,
}

#[tokio::main]
async fn main () -> Result <(), Box <dyn Error>> {
	let config_file = load_toml::load ("config/ptth_server.toml");
	
	ptth::server::run_server (
		config_file, 
		None
	).await
}
